www.cendio.com

Bug 5827

Summary: install_inetd is broken on Ubuntu 16.04
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Server OSAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se
Version: pre-1.0Keywords: ossman_tester, prosaic
Target Milestone: 4.6.0   
Hardware: PC   
OS: Unknown   
Bug Depends on:    
Bug Blocks: 5829    

Description From cendio 2016-04-01 14:26:46
From tlsetup.log:

2016-04-01 05:24:16,340: Installing services...
2016-04-01 05:24:16,340: Installing service 'vsmserver'...
2016-04-01 05:24:16,467: Output (stderr):
2016-04-01 05:24:16,467:     Missing should-start facility vsmagent (ignored)
2016-04-01 05:24:16,467:     Traceback (most recent call last):
2016-04-01 05:24:16,468:       File "/usr/lib/lsb/install_initd", line 102, in
<module>
2016-04-01 05:24:16,468:         initdutils.save_depends(depends)
2016-04-01 05:24:16,468:       File "/usr/lib/lsb/initdutils.py", line 141, in
save_depends
2016-04-01 05:24:16,468:         fh = open(DEPENDS, 'w')
2016-04-01 05:24:16,468:     FileNotFoundError: [Errno 2] No such file or
directory: '/var/lib/lsb/depends'
2016-04-01 05:24:16,468: Failed to install service 'vsmserver'
------- Comment #1 From cendio 2016-04-05 10:11:34 -------
Create an upstream bug report now, but then move this bug.
------- Comment #2 From cendio 2016-04-06 12:49:43 -------
Ubuntu is soo much fun. When install_initd crashes, a GUI dialog pops up and
asks if I want to report this problem. I click yes, and is informed about the
fact that this problem has already been reported, and that I should see the
details in the web browser. Which then opens up with:

"Lost something? This page does not exist"

Then, I take the bug number from the URL and manually enter into
https://launchpad.net. Clicks on the first hit, then I get:

Timeout error

Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies
for the inconvenience.

Trying again in a couple of minutes might work.

(Error ID: OOPS-303659b30fc3d80ce05c8712288a01c0)
------- Comment #3 From cendio 2016-04-06 14:38:23 -------
https://bugs.launchpad.net/ubuntu/+source/lsb/+bug/1566827

Another interesting thing: On 14.04, /var/lib/lsb/depends exists but is not
owned by any package:

dpkg-query -S /var/lib/lsb/depends 
dpkg-query: no path found matching pattern /var/lib/lsb/depends

It's also empty. This seems to be an output directory, owned by lsb-core:

dpkg-query -S /var/lib/lsb
lsb-core: /var/lib/lsb

In any case, this seems to be an workaround:

mkdir -p /var/lib/lsb
------- Comment #5 From cendio 2016-04-13 13:20:34 -------
Verified working fine now.
------- Comment #6 From cendio 2016-06-30 16:03:24 -------
Even though this bug is fixed, it might not be enough to install services on
for instance Ubuntu 16.04. See bug 5946.